Bug 57447

Summary: Web Inspector: add test for script formatter worker.
Product: WebKit Reporter: Pavel Podivilov <podivilov>
Component: Web Inspector (Deprecated)Assignee: Pavel Podivilov <podivilov>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, apavlov, bweinstein, eric, jberlin, joepeck, keishi, loislo, pfeldman, pmuellr, rik, timothy, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 57612, 57953    
Bug Blocks:    
Attachments:
Description Flags
Patch. pfeldman: review+

Description Pavel Podivilov 2011-03-30 06:45:05 PDT
Web Inspector: add test for script formatter worker.
Comment 1 Pavel Podivilov 2011-03-30 06:45:48 PDT
Created attachment 87524 [details]
Patch.
Comment 2 Pavel Podivilov 2011-04-01 03:17:51 PDT
Committed r82667: <http://trac.webkit.org/changeset/82667>
Comment 3 WebKit Review Bot 2011-04-01 03:52:00 PDT
http://trac.webkit.org/changeset/82667 might have broken SnowLeopard Intel Release (Tests)
The following tests are not passing:
http/tests/inspector-enabled/database-open.html
http/tests/inspector-enabled/dom-storage-open.html
http/tests/inspector/network/network-size.html
http/tests/inspector/network/network-timing.html
inspector/console/console-assert.html
inspector/console/console-clear.html
inspector/console/console-command-clear.html
inspector/console/console-dir-global.html
inspector/console/console-dir.html
inspector/console/console-eval-global.html
inspector/console/console-eval.html
inspector/console/console-log-before-inspector-open.html
inspector/console/console-log-toString-object.html
inspector/console/console-nested-group.html
inspector/console/console-object-constructor-name.html
inspector/console/console-substituted.html
inspector/console/console-trace-in-eval.html
inspector/console/console-trace.html
inspector/console/console-uncaught-exception-in-eval.html
inspector/console/console-uncaught-exception.html
inspector/cookie-resource-match.html
inspector/debugger/debug-inlined-scripts.html
inspector/debugger/debugger-activation-crash.html
inspector/debugger/debugger-autocontinue-on-syntax-error.html
inspector/debugger/debugger-cyclic-ref.html
inspector/debugger/debugger-eval-while-paused.html
inspector/debugger/debugger-no-nested-pause.html
inspector/debugger/debugger-pause-on-breakpoint.html
inspector/debugger/debugger-pause-on-exception.html
inspector/debugger/debugger-step-in.html
inspector/debugger/debugger-step-over.html
inspector/debugger/open-close-open.html
inspector/debugger/script-formatter.html
inspector/debugger/source-frame.html
inspector/evaluate-in-page.html
inspector/inspected-objects-not-overriden.html
inspector/report-API-errors.html
inspector/report-protocol-errors.html
inspector/syntax-highlight-javascript.html
inspector/utilities.html
Comment 4 WebKit Review Bot 2011-04-06 08:13:04 PDT
http://trac.webkit.org/changeset/83045 might have broken Leopard Intel Debug (Tests)
The following tests are not passing:
inspector/debugger/script-formatter.html
Comment 5 Jessie Berlin 2011-04-06 08:28:02 PDT
It also looks like it broke on Windows: http://build.webkit.org/results/Windows%207%20Release%20(Tests)/r83046%20(11276)/results.html
Comment 6 Pavel Podivilov 2011-04-06 08:39:04 PDT
Committed r83045: <http://trac.webkit.org/changeset/83045>
Comment 7 Pavel Podivilov 2011-04-08 04:21:00 PDT
Committed r83284: <http://trac.webkit.org/changeset/83284>